<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrAgriculturalSpecializedWebsiteMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrAgriculturalSpecializedWebsite">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="webid" column="WEBID" jdbcType="VARCHAR"/>
            <result property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="webtype" column="WEBTYPE" jdbcType="VARCHAR"/>
            <result property="websitename" column="WEBSITENAME" jdbcType="VARCHAR"/>
            <result property="website" column="WEBSITE" jdbcType="VARCHAR"/>
            <result property="entcheyear" column="ENTCHEYEAR" jdbcType="OTHER"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,WEBID,ANCHEID,
        WEBTYPE,WEBSITENAME,WEBSITE,
        ENTCHEYEAR,S_EXT_DATATIME,uni_code
    </sql>
</mapper>
